## bacula-doc 9.0.6

=== Makefile ===
#
#-------------------------------------------------------------------------

SHELL = /bin/sh

# Installation target directories & other installation stuff
prefix = /usr/local
exec_prefix = ${prefix}
binprefix =
manprefix =
sbindir = ${exec_prefix}/sbin
sysconfdir = ${prefix}/etc
scriptdir = @scriptdir@
mandir = ${datarootdir}/man/man1
manext = 1
datarootdir=${prefix}/share

# Tools & program stuff
MV = /bin/mv
RM = /bin/rm
RMF = /bin/rm -f
CP = /bin/cp
SED = @SED@
AWK = /usr/bin/gawk
ECHO = /bin/echo
CMP = @CMP@
INSTALL = /usr/bin/install -c
# add the -s to the following in PRODUCTION mode
INSTALL_PROGRAM = /usr/bin/install -c -m @SBINPERM@
INSTALL_DATA = /usr/bin/install -c -m 644
INSTALL_SCRIPT = /usr/bin/install -c -m @SBINPERM@
INSTALL_CONFIG = /usr/bin/install -c -m 640


# End of common section of the Makefile
#-------------------------------------------------------------------------

srcdir =	.

.PATH:		.
BACULASRC =	/home/kern/bee/bacula/bacula

basedir = ..
topdir = ..
thisdir = docs

#
# Distribution variables
#

de_dirs = manuals/de/console manuals/de/developers manuals/de/main \
  manuals/de/misc manuals/de/problems manuals/de/utility


en_dirs = manuals/en/console manuals/en/developers manuals/en/main \
  manuals/en/misc manuals/en/problems manuals/en/utility

es_dirs = manuals/es/console manuals/es/developers manuals/es/main \
  manuals/es/misc manuals/es/problems manuals/es/utility

fr_dirs = manuals/fr/console manuals/fr/developers manuals/fr/main \
  manuals/fr/misc manuals/fr/problems manuals/fr/utility

all_dirs = ${de_dirs} ${en_dirs} ${es_dirs} ${fr_dirs}

LANGUAGES= en fr de es

#-------------------------------------------------------------------------

#en: pdftex

all: pdftex web clean
#	@for I in ${en_dirs}; \
#	  do (cd $$I; echo "==>Entering directory `pwd`"; \
#	      $(MAKE) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
#			    echo ""; echo ""; exit 1;)); \
#	done
#	@echo "All manuals built ..."


external-references:
	@echo " "
	@echo -n "Building external references file..."
	@find ${en_dirs} -mindepth 0 -maxdepth 1 -name "*tex" -exec grep -q '\label' {} \; -print| awk -F/ '{ print "\\externaldocument[" $$3 "-]{../"$$3"/"$$4"}"}'|sed -e 's/.tex//g' > `pwd`/latex/external-references.tex
	@for I in ${en_dirs}; \
	  do (cd $$I; cp -f ../../version.tex .; cp -f ../../bacula.sty .;); \
	done
	@for I in ${en_dirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
	      $(MAKE) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
			    echo ""; echo ""; exit 1;)); \
	done
	@echo "External references for all manuals built."

pdftex: external-references
	mktexlsr ~/texmf
	@for I in ${en_dirs}; \
	  do (cd $$I; cp -f ../../version.tex .; cp -f ../../bacula.sty .; ); \
	done
	@for I in ${en_dirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
	      $(MAKE) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
			    echo ""; echo ""; exit 1;)); \
	done
	@echo "All manuals built ..."

web:
	@for I in ${en_dirs}; \
	  do (cd $$I; cp -f ../../version.tex .; cp -f ../../bacula.sty .;); \
	done
	@for I in ${en_dirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
	      $(MAKE) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
			    echo ""; echo ""; exit 1;)); \
	done
	@(cd tools ; ./htmls.sh)
	@cp ./images/png/*.png manuals/en/pdf-and-html/images/
	@cp ./images/*.png manuals/en/pdf-and-html/images/
	@echo "All manuals built ..."


fr:	french

french:
	@for I in ${fr_dirs}; do (cd $$I; cp -f ../../version.tex .; cp -f ../../bacula.sty .;); done
	@for I in ${fr_dirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
	      $(MAKE) all || (echo ""; echo ""; echo "	====== Error in `pwd` ======"; \
			    echo ""; echo ""; exit 1;)); \
	done

de:	german

german:
	@for I in ${de_dirs}; do (cd $$I; cp -f ../.. .; cp -f ../../bacula.sty .;); done
	@for I in ${de_dirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
	      $(MAKE) all || (echo ""; echo ""; echo "	====== Error in `pwd` ======"; \
			    echo ""; echo ""; exit 1;)); \
	done

es:	spanish

spanish:
	@for I in ${es_dirs}; do (cd $$I; cp -f ../../version.tex .; cp -f ../../bacula.sty .;); done
	@for I in ${es_dirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
	      $(MAKE) all || (echo ""; echo ""; echo "	====== Error in `pwd` ======"; \
			    echo ""; echo ""; exit 1;)); \
	done


$(basedir)/$(VERNAME).lsm: LSM.in $(srcdir)/../autoconf/Make.common.in $(srcdir)/../src/version.h
	$(SED) $(SEDREPLACE) < $(srcdir)/LSM.in > $@

clean:
	$(RMF) *~ 1 2 3 bacula-doc*.tar.gz
	find . -type l -exec rm {} \;
	@for I in ${all_dirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; ${MAKE} $@ || exit 1); done
	(cd manuals/en/pdf-and-html; $(RMF) -r *.aux *.out *.idx *.toc *.cdx *.ddx *.fdx *.log *.sdx)

mini-clean:
	$(RMF) *~ 1 2 3 bacula-doc*.tar.gz
	find . -type l -exec rm {} \;
	@for I in ${all_dirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; ${MAKE} $@ || exit 1); done

realclean: clean

distclean: clean
	$(RMF) -r CVS html-manual/CVS home-page/CVS techlogs/CVS
	$(RMF) -rf autom4te.cache bacula-doc-* config.log config.out
	$(RMF) -f config.status kernsconfig
	@for I in ${all_dirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; ${MAKE} $@ || exit 1); done
	@echo "Removing the HTML directories..."
	@for L in $(LANGUAGES) ; \
	do rm -rf manuals/$$L/pdf-and-html ; done
	@echo "HTML directories removed."
	@echo "Cleaning the latex directory..."
	@rm -f latex/external-references
	@echo "latex directory cleaned up"


depend:

install:
#	$(INSTALL_DATA) bacula.1 $(DESTDIR)$(mandir)/$(manprefix)bacula.$(manext)

uninstall:
#	-cd $(mandir); $(RMF) $(manprefix)bacula.$(manext)

=== manuals/en/main/Makefile ===
#
#  Makefile for Bacula LaTeX  Manual
#
# To build everything do
#    make tex
#    make web
#    make html
#    make dvipdf
#
# or simply
#
#    make
#
# for rapid development do:
#    make tex
#    make show
#
#
# If you are having problems getting "make" to work, debugging it is
#  easier if can see the output from latex, which is normally redirected
#  to /dev/null.  To see it, do the following:
#
#   cd docs/manual
#   make tex
#   latex bacula.tex
#
#  typically the latex command will stop indicating the error (e.g. a
#  missing \ in front of a _ or a missing { or ] ...
#
#  The following characters must be preceded by a backslash
#    to be entered as printable characters:
# 
#    # $ % & ~ _ ^ \ { }
#
DOC=main
MAINDOC=Bacula_Main_Reference.html
IMAGES=../../../images
DOCDIR=`pwd`
TEXFILES=$(wildcard *tex)
MAKEFORWEB=$(DOCDIR)/web.makefile
WEBFILESTOLINK=$(DOCDIR)/latex2html-init.pl $(DOCDIR)/bacula.sty $(DOCDIR)/translate_images.pl
#
# Main directory where to find all the documentation
DESTDIR=../pdf-and-html
#
# Location of documentation in PDF
PDF_DEST_DIR=$(DESTDIR)/$(DOC)
#
# Location of HTML documentation
HTML_DEST_DIR=$(DESTDIR)/$(DOC)
#
# Temporary directory to translate tex to HTML
WWW_BUILD_DIR=$(DESTDIR)/www-$(DOC)
#
# LATEX compiler
LATEX_TO_PDF=pdflatex --output-directory $(PDF_DEST_DIR)

first_rule: all

all: pdftex web mini-clean

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:


destdir:
	@echo
	@echo "Making output directories..."
	@mkdir -p $(PDF_DEST_DIR) $(HTML_DEST_DIR)
	echo "Output directories done"

pdfcovers:
	@echo ""
	@echo "Making covers for $(DOC)"
	@(cd $(IMAGES)/svg ; make pdf)
	@echo "Covers done."
	@echo ""
	@echo -n "Linking coverpage and background PDF format..."
	@(cd $(SVGCOVERSDIR) ; make pdf)
	@ln -sf `pwd`/${PDFCOVERSDIR}/${COVERNAME}.pdf `pwd`/${BSYSMANUALDIR}/${BSYSMANNAME}.pdf
	@echo "Done."

pdfimages: 
	@echo "Generating PDF images..."
	@(cd ${IMAGES}/svg ; make pdf)
	@echo "Done."

pngimages:
	@echo "Generating PNG images..."
	@(cd ${IMAGES}/svg ; make png)
	@echo "Done."

epsimages:
	@echo "Generating EPS images..."
	@(cd ${IMAGES}/svg ; make eps)
	@rm -rf ${IMAGES}/png
	@rm -rf ${IMAGES}/pdf
	@echo "Done."

epscovers:
	@echo -n "Linking coverpage and background EPS format..."
	@(cd $(SVGCOVERSDIR) ; make eps)
	@ln -sf `pwd`/${EPSCOVERSDIR}/${COVERNAME}.eps `pwd`/${BSYSMANUALDIR}/${BSYSMANNAME}.eps
	@rm -f `pwd`/${BSYSMANUALDIR}/${BSYSMANNAME}.pdf
	@echo "Done."

commonfiles:
	@echo "Making version `cat version.tex`"
	@echo -n "Linking shared files..."
	@(for L in $(LICENCES); do ln -sf $$L .; done)
	@echo "Done"

external-references: destdir
	@echo " "
	@echo "Building external references for $(DOC)"
	@echo "\DeclareGraphicsExtensions{.pdf,.png,.jpg,.jpeg,.eps}" > graphicspolicy.tex
	@export TEXINPUTS=.:../../../latex//: ; $(LATEX_TO_PDF) $(DOC)
	@rm -f $(PDF_DEST_DIR)/$(DOC).pdf
	@echo "$(DOC) external references done."

pdftex: destdir
	@echo ""
	@echo "Making PDF manual with $(LATEX_TO_PDF)compile..."
	@echo "\DeclareGraphicsExtensions{.pdf,.png,.jpg,.jpeg,.eps}" > graphicspolicy.tex
	@export TEXINPUTS=.:../../../latex//: ; $(LATEX_TO_PDF) $(DOC); makeindex ${DOC}.idx -o ${DOC}.ind 2>/dev/null ; $(LATEX_TO_PDF) $(DOC); $(LATEX_TO_PDF) $(DOC)
	@echo "Done"

pdflatex: external-references
	@echo " "
	@echo " Generating the PDF version of $(DOC)"
	@echo "   building indexes"
	@makeindex ${DOC}.idx -o ${DOC}.ind 2>/dev/null
	@echo -n "   compiling..."
	@$(PDFLATEX) $(PDFLATEXOPTIONS) ${DOC}.tex
	@$(PDFLATEX) $(PDFLATEXOPTIONS) ${DOC}.tex
	@echo "$(DOC).pdf generated."

html:
	@echo " "
	@echo "Making html"
	@ln -sf $(WEBCOMPILERFILE) $(BSYSCOMPILERFILE)
#	@cp -fp ${IMAGES}/*.eps .
#	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@(if [ -f imagename_translations ] ; then \
	    ./translate_images.pl --from_meaningful_names ${DOC}.html; \
	 fi)
	latex2html -white -no_subdir -split 0 -toc_stars -white -notransparent \
		-init_file latex2html-init.pl ${DOC} >tex.out 2>&1
	@(if [ -f imagename_translations ] ; then \
	    ./translate_images.pl --from_meaningful_names ${DOC}.html; \
	 fi)
	(cd ${DOC}; for i in *.png ; do cp -fp ../${IMAGES}/$${i} . 2>/dev/null; done)
	@echo "Done making html"


web: mini-clean
	@echo "Making web"
	@rm -rf $(WWW_BUILD_DIR)
	@mkdir -p $(WWW_BUILD_DIR)
	@echo "Adapting $(DOC) tex files for HTML documentation..."
	@(for F in $(TEXFILES) ;\
	do \
	cat $$F | sed -f ../pattern-to-handle > $(WWW_BUILD_DIR)/$$F ; \
	done)
	@ln -sf $(MAKEFORWEB) $(WWW_BUILD_DIR)/Makefile
	@(for F in $(WEBFILESTOLINK);\
	do \
	ln -sf $$F $(WWW_BUILD_DIR)/;\
	done)
	(cd $(WWW_BUILD_DIR) ; make )
	@echo "Done making web"


show:
	evince $(PDF_DEST_DIR)/${DOC}.pdf

texcheck:
	./check_tex.pl ${DOC}.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

mini-clean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.gif *.jpg *.eps
	@rm -f *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.backup *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd *.old *.out 
	@rm -f ${DOC}/*.gif ${DOC}/*.jpg ${DOC}/*.eps
	@rm -f ${DOC}/*.aux ${DOC}/*.cp ${DOC}/*.fn ${DOC}/*.ky ${DOC}/*.log ${DOC}/*.pg
	@rm -f ${DOC}/*.backup ${DOC}/*.ilg ${DOC}/*.lof ${DOC}/*.lot
	@rm -f ${DOC}/*.cdx ${DOC}/*.cnd ${DOC}/*.ddx ${DOC}/*.ddn ${DOC}/*.fdx ${DOC}/*.fnd ${DOC}/*.ind ${DOC}/*.sdx ${DOC}/*.snd
	@rm -f ${DOC}/*.dnd ${DOC}/*.old ${DOC}/*.out
	@rm -f ${DOC}/WARNINGS
	@rm -rf ../www-$(DOC)

clean:
	@rm -f graphicspolicy.tex
	@rm -f 1 2 3
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.pdf *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f images.pl labels.pl internals.pl
	@rm -f images.tex ${DOC}i.tex
	@rm -f ${DOC}i-*.tex
	@rm -rf $(WWW_BUILD_DIR)

webclean:
	@rm -rf $(WWWDIR)

distclean:  webclean clean
	@rm -f *.pdf
	@rm -f images.pl labels.pl internals.pl

=== manuals/en/problems/Makefile ===
#
#
#  Makefile for LaTeX  
#
# To build everything do
#    make tex
#    make web
#    make html
#    make dvipdf
#
# or simply
#
#    make
#
# for rapid development do:
#    make tex
#    make show
#
#
# If you are having problems getting "make" to work, debugging it is
#  easier if can see the output from latex, which is normally redirected
#  to /dev/null.  To see it, do the following:
#
#   cd docs/manual
#   make tex
#   latex bacula.tex
#
#  typically the latex command will stop indicating the error (e.g. a
#  missing \ in front of a _ or a missing { or ] ...
#
#  The following characters must be preceded by a backslash
#    to be entered as printable characters:
# 
#    # $ % & ~ _ ^ \ { }
#
DOC=problems
MAINDOC=Bacula_Problem_Resolution_G.html
IMAGES=../../../images
DOCDIR=`pwd`
TEXFILES=$(wildcard *tex)
MAKEFORWEB=$(DOCDIR)/web.makefile
WEBFILESTOLINK=$(DOCDIR)/latex2html-init.pl $(DOCDIR)/bacula.sty $(DOCDIR)/translate_images.pl
#
# Main directory where to find all the documentation
DESTDIR=../pdf-and-html
#
# Location of documentation in PDF
PDF_DEST_DIR=$(DESTDIR)/$(DOC)
#
# Location of HTML documentation
HTML_DEST_DIR=$(DESTDIR)/$(DOC)
#
# Temporary directory to translate tex to HTML
WWW_BUILD_DIR=$(DESTDIR)/www-$(DOC)
#
# LATEX compiler
LATEX_TO_PDF=pdflatex --output-directory $(PDF_DEST_DIR)

first_rule: all

all: pdftex web mini-clean

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:

pdfimages: 
	@echo "Generating PDF images..."
	@(cd ${IMAGES}/svg ; make pdf)
	@echo "Done."

pngimages:
	@echo "Generating PNG images..."
	@(cd ${IMAGES}/svg ; make png)
	@echo "Done."

epsimages:
	@echo "Generating EPS images..."
	@(cd ${IMAGES}/svg ; make eps)
	@rm -rf ${IMAGES}/png
	@rm -rf ${IMAGES}/pdf
	@echo "Done."

epscovers:
	@echo -n "Linking coverpage and background EPS format..."
	@(cd $(SVGCOVERSDIR) ; make eps)
	@ln -sf `pwd`/${EPSCOVERSDIR}/${COVERNAME}.eps `pwd`/${BSYSMANUALDIR}/${BSYSMANNAME}.eps
	@rm -f `pwd`/${BSYSMANUALDIR}/${BSYSMANNAME}.pdf
	@echo "Done."

commonfiles:
	@echo "Making version `cat version.tex`"
	@echo -n "Linking shared files..."
	@(for L in $(LICENCES); do ln -sf $$L .; done)
	@echo "Done"

destdir:
	@echo
	@echo "Making output directories..."
	@mkdir -p $(PDF_DEST_DIR) $(HTML_DEST_DIR)
	echo "Output directories done"

pdfcovers:
	@echo ""
	@echo "Making covers for $(DOC)"
	@(cd $(IMAGES)/svg ; make pdf)
	@echo "Covers done."
	@echo ""

external-references: destdir
	@echo " "
	@echo "Building external references for $(DOC)"
	@echo "\DeclareGraphicsExtensions{.pdf,.png,.jpg,.jpeg,.eps}" > graphicspolicy.tex
	@export TEXINPUTS=.:../../../latex//: ; $(LATEX_TO_PDF) $(DOC)
	@rm -f $(PDF_DEST_DIR)/$(DOC).pdf
	@echo "$(DOC) external references done."

pdftex: destdir
	@echo ""
	@echo "Making PDF manual with $(LATEX_TO_PDF)compile..."
	@echo "\DeclareGraphicsExtensions{.pdf,.png,.jpg,.jpeg,.eps}" > graphicspolicy.tex
	@export TEXINPUTS=.:../../../latex//: ; $(LATEX_TO_PDF) $(DOC); makeindex ${DOC}.idx -o ${DOC}.ind 2>/dev/null ; $(LATEX_TO_PDF) $(DOC); $(LATEX_TO_PDF) $(DOC)
	@echo "Done"


web: mini-clean
	@echo "Making web"
	@rm -rf $(WWW_BUILD_DIR)
	@mkdir -p $(WWW_BUILD_DIR)
	@echo "Adapting $(DOC) tex files for HTML documentation..."
	@(for F in $(TEXFILES) ;\
	do \
	cat $$F | sed -f ../pattern-to-handle > $(WWW_BUILD_DIR)/$$F ; \
	done)
	@ln -sf $(MAKEFORWEB) $(WWW_BUILD_DIR)/Makefile
	@(for F in $(WEBFILESTOLINK);\
	do \
	ln -sf $$F $(WWW_BUILD_DIR)/;\
	done)
	(cd $(WWW_BUILD_DIR) ; make )
	@echo "Done making web"

show:
	evince $(PDF_DEST_DIR)/${DOC}.pdf

texcheck:
	./check_tex.pl ${DOC}.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

mini-clean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.gif *.jpg *.eps
	@rm -f *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.backup *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd *.old *.out 
	@rm -f ${DOC}/*.gif ${DOC}/*.jpg ${DOC}/*.eps
	@rm -f ${DOC}/*.aux ${DOC}/*.cp ${DOC}/*.fn ${DOC}/*.ky ${DOC}/*.log ${DOC}/*.pg
	@rm -f ${DOC}/*.backup ${DOC}/*.ilg ${DOC}/*.lof ${DOC}/*.lot
	@rm -f ${DOC}/*.cdx ${DOC}/*.cnd ${DOC}/*.ddx ${DOC}/*.ddn ${DOC}/*.fdx ${DOC}/*.fnd ${DOC}/*.ind ${DOC}/*.sdx ${DOC}/*.snd
	@rm -f ${DOC}/*.dnd ${DOC}/*.old ${DOC}/*.out
	@rm -f ${DOC}/WARNINGS
	@rm -rf ../www-$(DOC)

clean:
	@rm -f graphicspolicy.tex
	@rm -f 1 2 3
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.pdf *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f images.pl labels.pl internals.pl
	@rm -f images.tex ${DOC}i.tex
	@rm -f ${DOC}i-*.tex
	@rm -rf $(WWW_BUILD_DIR)

distclean:  clean
	@rm -f ${DOC}.html ${DOC}.pdf
	@rm -rf $(WWW_BUILD_DIR)
	@rm -rf $(HTML_DEST_DIR)

=== manuals/en/utility/Makefile ===
#
#
#  Makefile for LaTeX  
#
# To build everything do
#    make tex
#    make web
#    make html
#    make dvipdf
#
# or simply
#
#    make
#
# for rapid development do:
#    make tex
#    make show
#
#
# If you are having problems getting "make" to work, debugging it is
#  easier if can see the output from latex, which is normally redirected
#  to /dev/null.  To see it, do the following:
#
#   cd docs/manual
#   make tex
#   latex bacula.tex
#
#  typically the latex command will stop indicating the error (e.g. a
#  missing \ in front of a _ or a missing { or ] ...
#
#  The following characters must be preceded by a backslash
#    to be entered as printable characters:
# 
#    # $ % & ~ _ ^ \ { }
#
DOC=utility
MAINDOC=Bacula_Utility_Programs.html
IMAGES=../../../images
DOCDIR=`pwd`
TEXFILES=$(wildcard *tex)
MAKEFORWEB=$(DOCDIR)/web.makefile
WEBFILESTOLINK=$(DOCDIR)/latex2html-init.pl $(DOCDIR)/bacula.sty $(DOCDIR)/translate_images.pl
#
# Main directory where to find all the documentation
DESTDIR=../pdf-and-html
#
# Location of documentation in PDF
PDF_DEST_DIR=$(DESTDIR)/$(DOC)
#
# Location of HTML documentation
HTML_DEST_DIR=$(DESTDIR)/$(DOC)
#
# Temporary directory to translate tex to HTML
WWW_BUILD_DIR=$(DESTDIR)/www-$(DOC)
#
# LATEX compiler
LATEX_TO_PDF=pdflatex --output-directory $(PDF_DEST_DIR)

first_rule: all

all: pdftex web mini-clean

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:


destdir:
	@echo
	@echo "Making output directories..."
	@mkdir -p $(PDF_DEST_DIR) $(HTML_DEST_DIR)
	echo "Output directories done"

pdfimages: 
	@echo "Generating PDF images..."
	@(cd ${IMAGES}/svg ; make pdf)
	@echo "Done."

pngimages:
	@echo "Generating PNG images..."
	@(cd ${IMAGES}/svg ; make png)
	@echo "Done."

epsimages:
	@echo "Generating EPS images..."
	@(cd ${IMAGES}/svg ; make eps)
	@rm -rf ${IMAGES}/png
	@rm -rf ${IMAGES}/pdf
	@echo "Done."

epscovers:
	@echo -n "Linking coverpage and background EPS format..."
	@(cd $(SVGCOVERSDIR) ; make eps)
	@ln -sf `pwd`/${EPSCOVERSDIR}/${COVERNAME}.eps `pwd`/${BSYSMANUALDIR}/${BSYSMANNAME}.eps
	@rm -f `pwd`/${BSYSMANUALDIR}/${BSYSMANNAME}.pdf
	@echo "Done."

commonfiles:
	@echo -n "Making version `cat version.tex`"
	@echo -n "Linking shared files..."
	@(for L in $(LICENCES); do ln -sf $$L .; done)
	@echo "Done"

pdfcovers:
	@echo ""
	@echo "Making covers for $(DOC)"
	@(cd $(IMAGES)/svg ; make pdf)
	@echo "Covers done."
	@echo ""

external-references: destdir
	@echo " "
	@echo "Building external references for $(DOC)"
	@echo "\DeclareGraphicsExtensions{.pdf,.png,.jpg,.jpeg,.eps}" > graphicspolicy.tex
	@export TEXINPUTS=.:../../../latex//: ; $(LATEX_TO_PDF) $(DOC)
	@rm -f $(PDF_DEST_DIR)/$(DOC).pdf
	@echo "$(DOC) external references done."

pdftex: destdir
	@echo ""
	@echo "Making PDF manual with $(LATEX_TO_PDF)compile..."
	@echo "\DeclareGraphicsExtensions{.pdf,.png,.jpg,.jpeg,.eps}" > graphicspolicy.tex
	@export TEXINPUTS=.:../../../latex//: ; $(LATEX_TO_PDF) $(DOC); makeindex ${DOC}.idx -o ${DOC}.ind 2>/dev/null ; $(LATEX_TO_PDF) $(DOC); $(LATEX_TO_PDF) $(DOC)
	@echo "Done"


web: mini-clean
	@echo "Making web"
	@rm -rf $(WWW_BUILD_DIR)
	@mkdir -p $(WWW_BUILD_DIR)
	@echo "Adapting $(DOC) tex files for HTML documentation..."
	@(for F in $(TEXFILES) ;\
	do \
	cat $$F | sed -f ../pattern-to-handle > $(WWW_BUILD_DIR)/$$F ; \
	done)
	@ln -sf $(MAKEFORWEB) $(WWW_BUILD_DIR)/Makefile
	@(for F in $(WEBFILESTOLINK);\
	do \
	ln -sf $$F $(WWW_BUILD_DIR)/;\
	done)
	(cd $(WWW_BUILD_DIR) ; make )
	@echo "Done making web"

show:
	evince $(PDF_DEST_DIR)/${DOC}.pdf

texcheck:
	./check_tex.pl ${DOC}.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

mini-clean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.gif *.jpg *.eps
	@rm -f *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.backup *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd *.old *.out 
	@rm -f ${DOC}/*.gif ${DOC}/*.jpg ${DOC}/*.eps
	@rm -f ${DOC}/*.aux ${DOC}/*.cp ${DOC}/*.fn ${DOC}/*.ky ${DOC}/*.log ${DOC}/*.pg
	@rm -f ${DOC}/*.backup ${DOC}/*.ilg ${DOC}/*.lof ${DOC}/*.lot
	@rm -f ${DOC}/*.cdx ${DOC}/*.cnd ${DOC}/*.ddx ${DOC}/*.ddn ${DOC}/*.fdx ${DOC}/*.fnd ${DOC}/*.ind ${DOC}/*.sdx ${DOC}/*.snd
	@rm -f ${DOC}/*.dnd ${DOC}/*.old ${DOC}/*.out
	@rm -f ${DOC}/WARNINGS
	@rm -rf ../www-$(DOC)

clean:
	@rm -f graphicspolicy.tex
	@rm -f 1 2 3
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.pdf *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f images.pl labels.pl internals.pl
	@rm -f images.tex ${DOC}i.tex
	@rm -f ${DOC}i-*.tex
	@rm -rf $(WWW_BUILD_DIR)

distclean:  clean
	@rm -f ${DOC}.html ${DOC}.pdf
	@rm -rf $(WWW_BUILD_DIR)
	@rm -rf $(HTML_DEST_DIR)

=== manuals/es/console/Makefile ===
#
#
#  Makefile for LaTeX  
#
# To build everything do
#    make tex
#    make web
#    make html
#    make dvipdf
#
# or simply
#
#    make
#
# for rapid development do:
#    make tex
#    make show
#
#
# If you are having problems getting "make" to work, debugging it is
#  easier if can see the output from latex, which is normally redirected
#  to /dev/null.  To see it, do the following:
#
#   cd docs/manual
#   make tex
#   latex bacula.tex
#
#  typically the latex command will stop indicating the error (e.g. a
#  missing \ in front of a _ or a missing { or ] ...
#
#  The following characters must be preceded by a backslash
#    to be entered as printable characters:
# 
#    # $ % & ~ _ ^ \ { }
#

IMAGES=../../../images

DOC=console
MAINDOC=Bacula_Console_Operators_Gu.html

first_rule: all

all: tex web dvipdf mini-clean

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:


tex:
	@../../update_version
	@echo "Making version `cat version.tex`"
	@cp -fp ${IMAGES}/hires/*.eps .
	@touch ${DOC}i-dir.tex ${DOC}i-fd.tex ${DOC}i-sd.tex \
	     ${DOC}i-console.tex ${DOC}i-general.tex
	latex -interaction=batchmode ${DOC}.tex
	makeindex ${DOC}.idx -o ${DOC}.ind 2>/dev/null
	latex -interaction=batchmode ${DOC}.tex

pdf:
	@echo "Making pdfm"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdfm -p a4 ${DOC}.dvi

dvipdf:
	@echo "Making dvi to pdf"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdf ${DOC}.dvi ${DOC}.pdf

html:
	@echo " "
	@echo "Making html"
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@(if [ -f imagename_translations ] ; then \
	    ./translate_images.pl --from_meaningful_names ${DOC}.html; \
	 fi)
	latex2html -white -no_subdir -split 0 -toc_stars -white -notransparent \
		-init_file latex2html-init.pl ${DOC} >tex.out 2>&1
	@(if [ -f imagename_translations ] ; then \
	    ./translate_images.pl --from_meaningful_names ${DOC}.html; \
	 fi)
	(cd ${DOC}; for i in *.png ; do cp -fp ../${IMAGES}/$${i} .; done)
	@echo "Done making html"

web:
	@echo "Making web"
	@rm -rf ${DOC}
	@mkdir -p ${DOC}
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@rm -f ${DOC}/xp-*.png
	@rm -f ${DOC}/next.eps ${DOC}/next.png ${DOC}/prev.eps ${DOC}/prev.png ${DOC}/up.eps ${DOC}/up.png
	latex2html -split 3 -local_icons -t "Bacula Console and Operators Guide" -long_titles 4 \
		-toc_stars -contents_in_nav -init_file latex2html-init.pl \
		-no_antialias -no_antialias_text \
		-white -notransparent ${DOC} >tex.out 2>&1
	@(if [ -f imagename_translations ] ; then \
	    ./translate_images.pl --from_meaningful_names ${DOC}.html; \
	 fi)
	@cp -f ${DOC}/${MAINDOC} ${DOC}/index.html
	@echo "Done making web"
show:
	xdvi ${DOC}

texcheck:
	./check_tex.pl ${DOC}.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

mini-clean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.gif *.jpg *.eps
	@rm -f *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.backup *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd *.old *.out 
	@rm -f ${DOC}/*.gif ${DOC}/*.jpg ${DOC}/*.eps
	@rm -f ${DOC}/*.aux ${DOC}/*.cp ${DOC}/*.fn ${DOC}/*.ky ${DOC}/*.log ${DOC}/*.pg
	@rm -f ${DOC}/*.backup ${DOC}/*.ilg ${DOC}/*.lof ${DOC}/*.lot
	@rm -f ${DOC}/*.cdx ${DOC}/*.cnd ${DOC}/*.ddx ${DOC}/*.ddn ${DOC}/*.fdx ${DOC}/*.fnd ${DOC}/*.ind ${DOC}/*.sdx ${DOC}/*.snd
	@rm -f ${DOC}/*.dnd ${DOC}/*.old ${DOC}/*.out
	@rm -f ${DOC}/WARNINGS


clean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f ${DOC}i-*.tex
	@rm -rf ${DOC}


distclean: clean
	@rm -f images.pl labels.pl internals.pl

=== manuals/es/problems/Makefile ===
#
#
#  Makefile for LaTeX  
#
# To build everything do
#    make tex
#    make web
#    make html
#    make dvipdf
#
# or simply
#
#    make
#
# for rapid development do:
#    make tex
#    make show
#
#
# If you are having problems getting "make" to work, debugging it is
#  easier if can see the output from latex, which is normally redirected
#  to /dev/null.  To see it, do the following:
#
#   cd docs/manual
#   make tex
#   latex bacula.tex
#
#  typically the latex command will stop indicating the error (e.g. a
#  missing \ in front of a _ or a missing { or ] ...
#
#  The following characters must be preceded by a backslash
#    to be entered as printable characters:
# 
#    # $ % & ~ _ ^ \ { }
#

IMAGES=../../../images

DOC=problems
MAINDOC=Bacula_Problem_Resolution_G.html

first_rule: all

all: tex web dvipdf mini-clean

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:


tex:
	@../../update_version
	@echo "Making version `cat version.tex`"
	@cp -fp ${IMAGES}/hires/*.eps .
	@touch ${DOC}i-dir.tex ${DOC}i-fd.tex ${DOC}i-sd.tex \
	     ${DOC}i-console.tex ${DOC}i-general.tex
	latex -interaction=batchmode ${DOC}.tex
	makeindex ${DOC}.idx -o ${DOC}.ind 2>/dev/null
	latex -interaction=batchmode ${DOC}.tex

pdf:
	@echo "Making pdfm"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdfm -p a4 ${DOC}.dvi

dvipdf:
	@echo "Making dvi to pdf"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdf ${DOC}.dvi ${DOC}.pdf

html:
	@echo " "
	@echo "Making html"
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@(if [ -f imagename_translations ] ; then \
	    ./translate_images.pl --from_meaningful_names ${DOC}.html; \
	 fi)
	latex2html -white -no_subdir -split 0 -toc_stars -white -notransparent \
		-init_file latex2html-init.pl ${DOC} >tex.out 2>&1
	@(if [ -f imagename_translations ] ; then \
	    ./translate_images.pl --from_meaningful_names ${DOC}.html; \
	 fi)
	(cd ${DOC}; for i in *.png ; do cp -fp ../${IMAGES}/$${i} . 2>/dev/null; done)
	@echo "Done making html"

web:
	@echo "Making web"
	@rm -rf ${DOC}
	@mkdir -p ${DOC}
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@rm -f ${DOC}/xp-*.png
	@rm -f ${DOC}/next.eps ${DOC}/next.png ${DOC}/prev.eps ${DOC}/prev.png ${DOC}/up.eps ${DOC}/up.png
	latex2html -split 3 -local_icons -t "Bacula Problem Resolution Guide" -long_titles 4 \
		-toc_stars -contents_in_nav -init_file latex2html-init.pl \
		-no_antialias -no_antialias_text \
		-white -notransparent ${DOC} >tex.out 2>&1
	@(if [ -f imagename_translations ] ; then \
	    ./translate_images.pl --from_meaningful_names ${DOC}.html; \
	 fi)
	@cp -f ${DOC}/${MAINDOC} ${DOC}/index.html
	@echo "Done making web"
show:
	xdvi ${DOC}

texcheck:
	./check_tex.pl ${DOC}.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

mini-clean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.gif *.jpg *.eps
	@rm -f *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.backup *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd *.old *.out 
	@rm -f ${DOC}/*.gif ${DOC}/*.jpg ${DOC}/*.eps
	@rm -f ${DOC}/*.aux ${DOC}/*.cp ${DOC}/*.fn ${DOC}/*.ky ${DOC}/*.log ${DOC}/*.pg
	@rm -f ${DOC}/*.backup ${DOC}/*.ilg ${DOC}/*.lof ${DOC}/*.lot
	@rm -f ${DOC}/*.cdx ${DOC}/*.cnd ${DOC}/*.ddx ${DOC}/*.ddn ${DOC}/*.fdx ${DOC}/*.fnd ${DOC}/*.ind ${DOC}/*.sdx ${DOC}/*.snd
	@rm -f ${DOC}/*.dnd ${DOC}/*.old ${DOC}/*.out
	@rm -f ${DOC}/WARNINGS
	@rm -f ${DOC}i-*.tex


clean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f ${DOC}i-*.tex
	@rm -rf ${DOC}


distclean: clean
	@rm -f images.pl labels.pl internals.pl

=== manuals/es/utility/Makefile ===
#
#
#  Makefile for LaTeX  
#
# To build everything do
#    make tex
#    make web
#    make html
#    make dvipdf
#
# or simply
#
#    make
#
# for rapid development do:
#    make tex
#    make show
#
#
# If you are having problems getting "make" to work, debugging it is
#  easier if can see the output from latex, which is normally redirected
#  to /dev/null.  To see it, do the following:
#
#   cd docs/manual
#   make tex
#   latex bacula.tex
#
#  typically the latex command will stop indicating the error (e.g. a
#  missing \ in front of a _ or a missing { or ] ...
#
#  The following characters must be preceded by a backslash
#    to be entered as printable characters:
# 
#    # $ % & ~ _ ^ \ { }
#

IMAGES=../../../images

DOC=utility
MAINDOC=Bacula_Utility_Programs.html

first_rule: all

all: tex web dvipdf mini-clean

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:


tex:
	@../../update_version
	@echo "Making version `cat version.tex`"
	@cp -fp ${IMAGES}/hires/*.eps .
	@touch ${DOC}i-dir.tex ${DOC}i-fd.tex ${DOC}i-sd.tex \
	     ${DOC}i-console.tex ${DOC}i-general.tex
	latex -interaction=batchmode ${DOC}.tex
	makeindex ${DOC}.idx -o ${DOC}.ind 2>/dev/null
	latex -interaction=batchmode ${DOC}.tex

pdf:
	@echo "Making pdfm"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdfm -p a4 ${DOC}.dvi

dvipdf:
	@echo "Making dvi to pdf"
	@cp -fp ${IMAGES}/hires/*.eps .
	dvipdf ${DOC}.dvi ${DOC}.pdf

html:
	@echo " "
	@echo "Making html"
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@(if [ -f imagename_translations ] ; then \
	    ./translate_images.pl --from_meaningful_names ${DOC}.html; \
	 fi)
	latex2html -white -no_subdir -split 0 -toc_stars -white -notransparent \
		-init_file latex2html-init.pl ${DOC} >tex.out 2>&1
	@(if [ -f imagename_translations ] ; then \
	    ./translate_images.pl --from_meaningful_names ${DOC}.html; \
	 fi)
	cp ${IMAGES}/bacula-logo.png ${DOC}
	(cd ${DOC}; for i in *.png ; do cp -fp ../${IMAGES}/$${i} . 2>/dev/null; done)
	@echo "Done making html"

web:
	@echo "Making web"
	@rm -rf ${DOC}
	@mkdir -p ${DOC}
	@cp -fp ${IMAGES}/*.eps .
	@rm -f next.eps next.png prev.eps prev.png up.eps up.png
	@rm -f ${DOC}/xp-*.png
	@rm -f ${DOC}/next.eps ${DOC}/next.png ${DOC}/prev.eps ${DOC}/prev.png ${DOC}/up.eps ${DOC}/up.png
	latex2html -split 3 -local_icons -t "Bacula Utility Programs" -long_titles 4 \
		-toc_stars -contents_in_nav -init_file latex2html-init.pl \
		-no_antialias -no_antialias_text \
		-white -notransparent ${DOC} >tex.out 2>&1
	@(if [ -f imagename_translations ] ; then \
	    ./translate_images.pl --from_meaningful_names ${DOC}.html; \
	 fi)
	@cp -f ${DOC}/${MAINDOC} ${DOC}/index.html
	@echo "Done making web"
show:
	xdvi ${DOC}

texcheck:
	./check_tex.pl ${DOC}.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

mini-clean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.gif *.jpg *.eps
	@rm -f *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.backup *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd *.old *.out 
	@rm -f ${DOC}/*.gif ${DOC}/*.jpg ${DOC}/*.eps
	@rm -f ${DOC}/*.aux ${DOC}/*.cp ${DOC}/*.fn ${DOC}/*.ky ${DOC}/*.log ${DOC}/*.pg
	@rm -f ${DOC}/*.backup ${DOC}/*.ilg ${DOC}/*.lof ${DOC}/*.lot
	@rm -f ${DOC}/*.cdx ${DOC}/*.cnd ${DOC}/*.ddx ${DOC}/*.ddn ${DOC}/*.fdx ${DOC}/*.fnd ${DOC}/*.ind ${DOC}/*.sdx ${DOC}/*.snd
	@rm -f ${DOC}/*.dnd ${DOC}/*.old ${DOC}/*.out
	@rm -f ${DOC}/WARNINGS


clean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f ${DOC}i-*.tex
	@rm -rf ${DOC}


distclean: clean
	@rm -f images.pl labels.pl internals.pl

=== debian/changelog ===
bacula-doc (9.0.6-2) unstable; urgency=medium

  * Bump standards version to 4.1.3, no changes needed.
  * set FORCE_SOURCE_DATE = 1 to make dvips output (partially)
    reproducible
  * Updated VCS-URLs in debian/control (Debian repository moved to
    salsa.debian.org)

 -- Carsten Leonhardt <leo@debian.org>  Fri, 23 Feb 2018 17:07:27 +0100

bacula-doc (9.0.6-1) unstable; urgency=medium

  * New upstream version.
  * Add basic doc-base registration. Abstracts are still missing.

 -- Carsten Leonhardt <leo@debian.org>  Wed, 22 Nov 2017 12:04:19 +0100

bacula-doc (9.0.5-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.1.1, no changes needed.
  * Use "Rules-Requires-Root: no"

 -- Carsten Leonhardt <leo@debian.org>  Mon, 06 Nov 2017 14:22:27 +0100

bacula-doc (9.0.4-1) unstable; urgency=low

  * New upstream version.
  * Added Build-Depends on inkscape.

 -- Carsten Leonhardt <leo@debian.org>  Fri, 08 Sep 2017 16:37:17 +0200

bacula-doc (9.0.3-2) unstable; urgency=low

  * Updated upstream signing key.
  * Marked package as "Multi-Arch: foreign".
  * Bump standards version to 4.1.0, no changes needed.
    Reproducible builds are blocked by missing support by the toolchain.

 -- Carsten Leonhardt <leo@debian.org>  Wed, 30 Aug 2017 15:56:50 +0200

=== debian/control ===
Source: bacula-doc
Maintainer: Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>
Uploaders:
 Carsten Leonhardt <leo@debian.org>,
Section: doc
Priority: optional
Build-Depends:
 debhelper (>= 10),
 gawk,
 inkscape,
 latex2html,
 libhtml-parser-perl,
 libhtml-treebuilder-libxml-perl,
 texlive-base,
 texlive-fonts-recommended,
 texlive-latex-recommended,
Standards-Version: 4.1.3
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/bacula-team/bacula-docs
Vcs-Git: https://salsa.debian.org/bacula-team/bacula-docs.git
Homepage: http://www.bacula.org/

Package: bacula-doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Documentation for Bacula
 This package provides the documentation for Bacula, a backup program
 that permits you to manage backup, recovery, and verification of
 computer data across a network of computers of different kinds.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# needed until latex2html and the web makefiles are fixed
export PERL_USE_UNSAFE_INC=1

# needed for latex2html
export TEXINPUTS=`pwd`/latex

# see https://tests.reproducible-builds.org/debian/issues/unstable/timestamps_in_ps_generated_by_dvips_issue.html
export FORCE_SOURCE_DATE := 1

%:
	dh $@ --no-parallel

## bacula-doc 9.0.8

=== debian/changelog ===
bacula-doc (9.0.8-1) unstable; urgency=medium

  * New upstream version.

 -- Carsten Leonhardt <leo@debian.org>  Mon, 28 May 2018 23:20:59 +0200

bacula-doc (9.0.7-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version to 4.1.4, no changes needed.

 -- Carsten Leonhardt <leo@debian.org>  Mon, 23 Apr 2018 18:21:26 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  texlive-base,
  texlive-fonts-recommended,
  texlive-latex-recommended,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/bacula-team/bacula-docs
 Vcs-Git: https://salsa.debian.org/bacula-team/bacula-docs.git

## bacula-doc 9.4.2

=== manuals/en/misc/Makefile ===
#
#
#  Makefile for LaTeX  
#
# To build everything do
#    make tex
#    make web
#    make html
#    make dvipdf
#
# or simply
#
#    make
#
# for rapid development do:
#    make tex
#    make show
#
#
# If you are having problems getting "make" to work, debugging it is
#  easier if can see the output from latex, which is normally redirected
#  to /dev/null.  To see it, do the following:
#
#   cd docs/manual
#   make tex
#   latex bacula.tex
#
#  typically the latex command will stop indicating the error (e.g. a
#  missing \ in front of a _ or a missing { or ] ...
#
#  The following characters must be preceded by a backslash
#    to be entered as printable characters:
# 
#    # $ % & ~ _ ^ \ { }
#

DOC=misc
MAINDOC=Bacula_Miscellaneous_Guide.html
IMAGES=../../../images
DOCDIR=`pwd`
TEXFILES=$(wildcard *tex)
MAKEFORWEB=$(DOCDIR)/web.makefile
WEBFILESTOLINK=$(DOCDIR)/latex2html-init.pl $(DOCDIR)/bacula.sty $(DOCDIR)/translate_images.pl
#
# Main directory where to find all the documentation
DESTDIR=../pdf-and-html
#
# Location of documentation in PDF
PDF_DEST_DIR=$(DESTDIR)/$(DOC)
#
# Location of HTML documentation
HTML_DEST_DIR=$(DESTDIR)/$(DOC)
#
# Temporary directory to translate tex to HTML
WWW_BUILD_DIR=$(DESTDIR)/www-$(DOC)
#
# LATEX compiler
LATEX_TO_PDF=pdflatex --output-directory $(PDF_DEST_DIR)

first_rule: all

all: pdftex web mini-clean

.SUFFIXES:     .tex .html
.PHONY:
.DONTCARE:


destdir:
	@echo
	@echo "Making output directories..."
	@mkdir -p $(PDF_DEST_DIR) $(HTML_DEST_DIR)
	echo "Output directories done"

pdfimages: 
	@echo "Generating PDF images..."
	@(cd ${IMAGES}/svg ; make pdf)
	@echo "Done."

pngimages:
	@echo "Generating PNG images..."
	@(cd ${IMAGES}/svg ; make png)
	@echo "Done."

epsimages:
	@echo "Generating EPS images..."
	@(cd ${IMAGES}/svg ; make eps)
	@rm -rf ${IMAGES}/png
	@rm -rf ${IMAGES}/pdf
	@echo "Done."

epscovers:
	@echo -n "Linking coverpage and background EPS format..."
	@(cd $(SVGCOVERSDIR) ; make eps)
	@ln -sf `pwd`/${EPSCOVERSDIR}/${COVERNAME}.eps `pwd`/${BSYSMANUALDIR}/${BSYSMANNAME}.eps
	@rm -f `pwd`/${BSYSMANUALDIR}/${BSYSMANNAME}.pdf
	@echo "Done."

commonfiles:
	@echo -n "Making version `cat version.tex`"
	@echo -n "Linking shared files..."
	@(for L in $(LICENCES); do ln -sf $$L .; done)
	@echo "Done"

pdfcovers:
	@echo ""
	@echo "Making covers for $(DOC)"
	@(cd $(IMAGES)/svg ; make pdf)
	@echo "Covers done."
	@echo ""

external-references: destdir
	@echo " "
	@echo "Building external references for $(DOC)"
	@echo "\DeclareGraphicsExtensions{.pdf,.png,.jpg,.jpeg,.eps}" > graphicspolicy.tex
	@export TEXINPUTS=.:../../../latex//: ; $(LATEX_TO_PDF) $(DOC)
	@rm -f $(PDF_DEST_DIR)/$(DOC).pdf
	@echo "$(DOC) external references done."

pdftex: destdir
	@echo ""
	@echo "Making PDF manual with $(LATEX_TO_PDF)compile..."
	@echo "\DeclareGraphicsExtensions{.pdf,.png,.jpg,.jpeg,.eps}" > graphicspolicy.tex
	@export TEXINPUTS=.:../../../latex//: ; $(LATEX_TO_PDF) $(DOC); makeindex ${DOC}.idx -o ${DOC}.ind 2>/dev/null ; $(LATEX_TO_PDF) $(DOC); $(LATEX_TO_PDF) $(DOC)
	@echo "Done"


web: mini-clean
	@echo "Making web"
	@rm -rf $(WWW_BUILD_DIR)
	@mkdir -p $(WWW_BUILD_DIR)
	@echo "Adapting $(DOC) tex files for HTML documentation..."
	@(for F in $(TEXFILES) ;\
	do \
	cat $$F | sed -f ../pattern-to-handle > $(WWW_BUILD_DIR)/$$F ; \
	done)
	@ln -sf $(MAKEFORWEB) $(WWW_BUILD_DIR)/Makefile
	@(for F in $(WEBFILESTOLINK);\
	do \
	ln -sf $$F $(WWW_BUILD_DIR)/;\
	done)
	(cd $(WWW_BUILD_DIR) ; make )
	@echo "Done making web"


show:
	evince $(PDF_DEST_DIR)/${DOC}.pdf

texcheck:
	./check_tex.pl ${DOC}.tex

main_configs:
	pic2graph -density 100 <main_configs.pic >main_configs.png

mini-clean:
	@rm -f 1 2 3 *.tex~
	@rm -f *.gif *.jpg *.eps
	@rm -f *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.backup *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd *.old *.out 
	@rm -f ${DOC}/*.gif ${DOC}/*.jpg ${DOC}/*.eps
	@rm -f ${DOC}/*.aux ${DOC}/*.cp ${DOC}/*.fn ${DOC}/*.ky ${DOC}/*.log ${DOC}/*.pg
	@rm -f ${DOC}/*.backup ${DOC}/*.ilg ${DOC}/*.lof ${DOC}/*.lot
	@rm -f ${DOC}/*.cdx ${DOC}/*.cnd ${DOC}/*.ddx ${DOC}/*.ddn ${DOC}/*.fdx ${DOC}/*.fnd ${DOC}/*.ind ${DOC}/*.sdx ${DOC}/*.snd
	@rm -f ${DOC}/*.dnd ${DOC}/*.old ${DOC}/*.out
	@rm -f ${DOC}/WARNINGS
	@rm -rf ../www-$(DOC)

clean:
	@rm -f graphicspolicy.tex
	@rm -f 1 2 3
	@rm -f *.png *.gif *.jpg *.eps
	@rm -f *.pdf *.aux *.cp *.fn *.ky *.log *.pg
	@rm -f *.html *.backup *.pdf *.ps *.dvi *.ilg *.lof *.lot
	@rm -f *.cdx *.cnd *.ddx *.ddn *.fdx *.fnd *.ind *.sdx *.snd
	@rm -f *.dnd imagename_translations
	@rm -f *.old WARNINGS *.out *.toc *.idx
	@rm -f images.pl labels.pl internals.pl
	@rm -f images.tex ${DOC}i.tex
	@rm -f ${DOC}i-*.tex
	@rm -rf $(WWW_BUILD_DIR)

distclean:  clean
	@rm -f ${DOC}.html ${DOC}.pdf
	@rm -rf $(WWW_BUILD_DIR)
	@rm -rf $(HTML_DEST_DIR)

=== debian/changelog ===
bacula-doc (9.4.2-1) unstable; urgency=medium

  * New Upstream version.

 -- Carsten Leonhardt <leo@debian.org>  Mon, 04 Feb 2019 23:53:23 +0100

bacula-doc (9.4.1-2) unstable; urgency=medium

  * Make sure texlive-latex-base version 2018.20190122 or higher is used
    for building, the previous version causes a build failure
    (c.f. #917654).

 -- Carsten Leonhardt <leo@debian.org>  Sun, 27 Jan 2019 12:25:00 +0100

bacula-doc (9.4.1-1) unstable; urgency=medium

  * New upstream version.
  * Complies to standards version to 4.3.0.

 -- Carsten Leonhardt <leo@debian.org>  Sun, 23 Dec 2018 12:37:37 +0100

bacula-doc (9.4.0-1) unstable; urgency=medium

  * New upstream version.
  * Add patch to make pdflatex halt on errors.

 -- Carsten Leonhardt <leo@debian.org>  Sun, 23 Dec 2018 11:14:29 +0100

bacula-doc (9.2.2-2) unstable; urgency=medium

  * Depend on latex2html >= 2018.3-debian1-4, fixes broken tables
    (Bug #899306).
  * Add Gitlab CI tests.
  * Add DEP-12 debian/upstream/metadata.

 -- Carsten Leonhardt <leo@debian.org>  Wed, 12 Dec 2018 10:28:15 +0100

bacula-doc (9.2.2-1) unstable; urgency=medium

  * New upstream version.

 -- Carsten Leonhardt <leo@debian.org>  Mon, 12 Nov 2018 02:31:47 +0100

bacula-doc (9.2.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.2.1, no changes needed.
  * Raise debhelper compatibility level to 11.

 -- Carsten Leonhardt <leo@debian.org>  Mon, 24 Sep 2018 09:16:12 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Section: doc
 Priority: optional
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  gawk,
  inkscape,
- latex2html,
+ latex2html (>= 2018.3-debian1-4~),
  libhtml-parser-perl,
  libhtml-treebuilder-libxml-perl,
  texlive-base,
  texlive-fonts-recommended,
- texlive-latex-recommended,
-Standards-Version: 4.1.4
+ texlive-latex-recommended (>=2018.20190122),
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/bacula-team/bacula-docs
 Vcs-Git: https://salsa.debian.org/bacula-team/bacula-docs.git

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-
-# needed until latex2html and the web makefiles are fixed
-export PERL_USE_UNSAFE_INC=1
 
 # needed for latex2html
 export TEXINPUTS=`pwd`/latex
